System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 To be added System.Xml.XmlNode System.Xml.IHasXmlChildNode To be added

Represents a lightweight object that is useful for tree insert operations.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  Do not instantiate an directly; instead, use methods such as .

  Initializes a new instance of the class.

  The XML document that is the source of the fragment.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNode ``

  CloneNode serves as a copy constructor for nodes. To see how this method behaves with other node types, see .

  The cloned node has no parent ( returns null).

  Creates a duplicate of this node.

  The cloned node.

  true to recursively clone the subtree under the specified node; false to clone only the node itself.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  Setting this property replaces the children of the node with the parsed contents of the given string. The parsing is done in the current namespace context.

  This property is a Microsoft extension to the Document Object Model (DOM).

  Gets or sets the markup representing the children of this node.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets the local name of the node.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets the qualified name of the node.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNodeType To be added. To be added.

  Gets the type of the current node.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlDocument To be added.

  When adding nodes to the current node, use the XmlDocument returned by the OwnerDocument property to create the node.

  Gets the to which this node belongs.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNode To be added. To be added.

  Gets the parent of this node (for nodes that can have parents).

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlLinkedNode To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method is a Microsoft extension to the Document Object Model (DOM).

  Saves all the children of the node to the specified .

  The XmlWriter to which you want to save.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method is a Microsoft extension to the Document Object Model (DOM).

  Saves the node to the specified .

  The XmlWriter to which you want to save.